MCP Gateway
ApiSandboxes

List Sandboxes

List sandboxes for the authenticated user.

GET
/api/v1/sandboxes

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

Query Parameters

page?integer
Default1
page_size?integer
Default20
status?|
search?|
image?|
sort_by?string
Default"created_at"
sort_order?string
Default"desc"
access_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/sandboxes"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
      "user_name": "string",
      "status": "string",
      "image": "string",
      "container_id": "string",
      "volume_name": "string",
      "workspace_path": "/workspace",
      "created_at": "2019-08-24T14:15:22Z",
      "last_activity_at": "2019-08-24T14:15:22Z",
      "stopped_at": "2019-08-24T14:15:22Z",
      "memory_mb": 512,
      "cpu_cores": 1,
      "disk_mb": 1024,
      "idle_timeout_seconds": 1800,
      "network_enabled": false,
      "exec_count": 0,
      "exec_total_ms": 0,
      "bytes_uploaded": 0,
      "bytes_downloaded": 0,
      "session_key": "string",
      "skills": [
        {
          "id": "string",
          "name": "string",
          "installed_at": "string"
        }
      ]
    }
  ],
  "total": 0,
  "page": 1,
  "page_size": 20,
  "status_counts": {
    "property1": 0,
    "property2": 0
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}